<?php

class ShowPaypalPage extends AbstractGamePage
{
	function __construct()
	{
		parent::__construct();
	}
	
	function show(){
		global $USER;
	
		// PayPal settings
		$paypal_email 	= 'YOUR PAYPAL EMAIL OR ID';
		$return_url 	= 'https://'.$_SERVER['HTTP_HOST'].'/game.php?page=overview';
		$cancel_url 	= 'https://'.$_SERVER['HTTP_HOST'].'/game.php?page=overview';
		$notify_url 	= 'https://'.$_SERVER['HTTP_HOST'].'/paypal_paiement.php';

		$amount          = str_replace(".","",HTTP::_GP('ik_payment_amount',0));
		$cost   		 = round($amount * 0.0001010); // price for 1 darkmatter
		
		if($amount < 10000){
			header('Location: https://'.$_SERVER['HTTP_HOST'].'/game.php?page=donation');
		}else{
			$a1 = array($USER['id'],0,$amount,$USER['id'],$amount);
					
			$usernameToDisplay = $USER['username'];
			
			$querystring = '';
		
			// Firstly Append paypal account to querystring
			$querystring .= "?business=".urlencode($paypal_email)."&";
			
			// Append amount& currency (£) to quersytring so it cannot be edited in html
			
			//The item name and amount can be brought in dynamically by querying the $_POST['item_number'] variable.
			$querystring .= "item_name=".urlencode($count1.' AM-User('.$usernameToDisplay.').')."&";
			$querystring .= "item_number=".urlencode($count1)."&";
			$querystring .= "amount=".urlencode($cost)."&";
			$querystring .= "currency_code=".urlencode('EUR')."&";
			$querystring .= "custom=".urlencode(implode(",", $a1))."&";
			$querystring .= "rm=".urlencode('2')."&";
			$querystring .= "cmd=".urlencode('_xclick')."&";
			
			// Append paypal return addresses
			$querystring .= "return=".urlencode(stripslashes($return_url))."&";
			$querystring .= "cancel_return=".urlencode(stripslashes($cancel_url))."&";
			$querystring .= "notify_url=".urlencode($notify_url);
			
			// Redirect to paypal IPN
			header('location:https://www.paypal.com/cgi-bin/webscr'.$querystring);
		}
	}
}
?>